Summary: Configuration files for package managers.
Name: kernel-xen-release
Version: %{rhel}
Release: 5
License: GPLv3
Group: System Environment/Base
URL: www.crc.id.au
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Obsoletes: fedora-package-config, redhat-package-config
Provides: fedora-package-config, redhat-package-config
Obsoletes: kernel-xen-package-config
Provides: kernel-xen-package-config
%if 0%{?rhel} == 5
Requires: yum-fastestmirror
%endif
%if 0%{?rhel} == 6
Requires: yum-plugin-fastestmirror
%endif

Source0: kernel-xen-el5.repo
Source1: kernel-xen-el6.repo
Source2: RPM-GPG-KEY-kernel-xen
Source3: RPM-GPG-KEY-kernel-xen-el5

%description
This package contains configuration files for yum.

%prep
%setup -c -T

%build
# Nothing to build

%install
%{__rm} -rf %{buildroot}
%if 0%{?rhel} == 5
%{__cp} -a %{SOURCE2} .
%{__install} -Dpm 0644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/kernel-xen.repo
%{__install} -Dpm 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-kernel-xen-el5
%endif
%if 0%{?rhel} == 6
%{__cp} -a %{SOURCE2} .
%{__install} -Dpm 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/yum.repos.d/kernel-xen.repo
%{__install} -Dpm 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-kernel-xen
%endif

%post

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%pubkey RPM-GPG-KEY-kernel-xen
%dir %{_sysconfdir}/yum.repos.d/
%config %{_sysconfdir}/yum.repos.d/kernel-xen.repo
%dir %{_sysconfdir}/pki/rpm-gpg/
%if 0%{?rhel} == 5
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-kernel-xen-el5
%endif
%if 0%{?rhel} == 6
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-kernel-xen
%endif

%changelog
* Fri Mar 28 2013 Steven Haigh <netwiz@crc.id.au>
- Change mirrorlist to baseurl entries. 

* Sun Oct 17 2012 Steven Haigh <netwiz@crc.id.au>
- Add gpg key for EL5 RPMs to fix signing.

* Sun Oct 14 2012 Steven Haigh <netwiz@crc.id.au>
- Add single kernel-xen-release package for both EL5 and EL6

* Sun Feb 12 2012 Steven Haigh <netwiz@crc.id.au>
- Fix conflict between older kernels than 2.6.32.55-4 on /etc/yum.repos.d/

* Sun Feb 12 2012 Steven Haigh <netwiz@crc.id.au>
- Initial release.
